Skip to content
Permalink
Browse files
Upgrade: eslintrc for ModuleResolver fix (#14577)
This incorporates eslint/eslintrc#34, which
allows fixing `CLIEngine`'s `ModuleResolver` import.
  • Loading branch information
btmills committed May 8, 2021
1 parent ae6dbd1 commit aaf65e629adb74401092c3ccc9cb4e4bd1c8609b
Show file tree
Hide file tree
Showing 2 changed files with 3 additions and 8 deletions.
@@ -27,16 +27,11 @@ const {
naming,
CascadingConfigArrayFactory,
IgnorePattern,
getUsedExtractedConfigs
getUsedExtractedConfigs,
ModuleResolver
}
} = require("@eslint/eslintrc");

/*
* For some reason, ModuleResolver must be included via filepath instead of by
* API exports in order to work properly. That's why this is separated out onto
* its own require() statement.
*/
const ModuleResolver = require("@eslint/eslintrc/lib/shared/relative-module-resolver");
const { FileEnumerator } = require("./file-enumerator");

const { Linter } = require("../linter");
@@ -44,7 +44,7 @@
"bugs": "https://github.com/eslint/eslint/issues/",
"dependencies": {
"@babel/code-frame": "7.12.11",
"@eslint/eslintrc": "^0.4.0",
"@eslint/eslintrc": "^0.4.1",
"ajv": "^6.10.0",
"chalk": "^4.0.0",
"cross-spawn": "^7.0.2",

0 comments on commit aaf65e6

Please sign in to comment.